/* usleep
 *
 * Written by Mark Hatle <fray@mvista.com>
 * Copyright (c) 2001 MontaVista Software, Inc.
 *
 * This software is released under the GNU General Public License.
 *
 * I looked at Red Hat's usleep, laughed since it was so big and decided
 * to do it the right way!
 */

#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <ctype.h>

void usage()
{
  fprintf(stderr, "usleep version 1.0\n");
  fprintf(stderr, "Copyright 2001 MontaVista Software, Inc.\n");
  fprintf(stderr, "\n");
  fprintf(stderr, "Usage: usleep [microseconds]\n");
  exit(1);
}

int main(int argc, char *argv[])
{
  unsigned long wait = 1;

  if (argc > 1)
  {
    if (argc > 2 || (!isdigit(*argv[1])))
    {
      usage();
    }
    else
    {
      wait = strtoul(argv[1], NULL, 0);
    }
  }

  usleep(wait);

  return 0;
}

